<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_FlightPriceInformation StructType
 * @subpackage Structs
 */
class JP_FlightPriceInformation extends AbstractStructBase
{
    /**
     * The Routes
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Routes
     */
    public $Routes;
    /**
     * The Prices
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Price
     */
    public $Prices;
    /**
     * The AdditionalElements
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_AdditionalElements
     */
    public $AdditionalElements;
    /**
     * Constructor method for JP_FlightPriceInformation
     * @uses JP_FlightPriceInformation::setRoutes()
     * @uses JP_FlightPriceInformation::setPrices()
     * @uses JP_FlightPriceInformation::setAdditionalElements()
     * @param \StructType\JP_Routes $routes
     * @param \ArrayType\ArrayOfJP_Price $prices
     * @param \StructType\JP_AdditionalElements $additionalElements
     */
    public function __construct(\StructType\JP_Routes $routes = null, \ArrayType\ArrayOfJP_Price $prices = null, \StructType\JP_AdditionalElements $additionalElements = null)
    {
        $this
            ->setRoutes($routes)
            ->setPrices($prices)
            ->setAdditionalElements($additionalElements);
    }
    /**
     * Get Routes value
     * @return \StructType\JP_Routes|null
     */
    public function getRoutes()
    {
        return $this->Routes;
    }
    /**
     * Set Routes value
     * @param \StructType\JP_Routes $routes
     * @return \StructType\JP_FlightPriceInformation
     */
    public function setRoutes(\StructType\JP_Routes $routes = null)
    {
        $this->Routes = $routes;
        return $this;
    }
    /**
     * Get Prices value
     * @return \ArrayType\ArrayOfJP_Price|null
     */
    public function getPrices()
    {
        return $this->Prices;
    }
    /**
     * Set Prices value
     * @param \ArrayType\ArrayOfJP_Price $prices
     * @return \StructType\JP_FlightPriceInformation
     */
    public function setPrices(\ArrayType\ArrayOfJP_Price $prices = null)
    {
        $this->Prices = $prices;
        return $this;
    }
    /**
     * Get AdditionalElements value
     * @return \StructType\JP_AdditionalElements|null
     */
    public function getAdditionalElements()
    {
        return $this->AdditionalElements;
    }
    /**
     * Set AdditionalElements value
     * @param \StructType\JP_AdditionalElements $additionalElements
     * @return \StructType\JP_FlightPriceInformation
     */
    public function setAdditionalElements(\StructType\JP_AdditionalElements $additionalElements = null)
    {
        $this->AdditionalElements = $additionalElements;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_FlightPriceInformation
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
